(define (domain matchcellar)
     (:requirements :typing :durative-actions :duration-inequalities)
     (:types match fuse)
     (:predicates
          (handfree)
          (unused ?match - match)
          (mended ?fuse - fuse)
	  (light ?match - match))

     (:durative-action LIGHT_MATCH
          :parameters (?match - match)
          :duration (<= ?duration 5)
          :condition (and
	       (at start (unused ?match)))
          :effect (and
		(at start (not (unused ?match)))
		(at start (light ?match))
		(at end (not (light ?match)))))


     (:uncontrollable-durative-action MEND_FUSE
          :parameters (?fuse - fuse ?match - match)
          :duration (and (<= ?duration 2) (>= ?duration 1))
          :condition (and
               (at start (handfree))
	       (over all (light ?match)))
          :effect (and
               (at start (not (handfree)))
               (at end (mended ?fuse))
               (at end (handfree))))
)
